#include<bits/stdc++.h>
using namespace std;
long long br[30];

int main()
{
	int n=0;
	cin>>n;
	char c;
	c=getchar();
	for(int i=0; i<n; i++) 
	{
		c=getchar();
		if(c-65==0) br[1]++;
		else br[c-65+1]+=br[c-65];
	}
	if(n<26) cout<<0;
	else
	{
		cout<<br[26]%1000000007;
	}
}